%global momorel 1

Summary: Raptor RDF Parser Toolkit for Redland
Name: raptor
Version: 1.4.5
Release: %{momorel}m
License: LGPL
URL: http://librdf.org/raptor/
Group: System Environment/Libraries
%NoSource 0 http://librdf.org/dist/source/%{name}-%{version}.tar.gz 6ae71326911a0e966de83605b885f8dc
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libxml2-devel, curl-devel, w3c-libwww-devel

%description
Raptor is the RDF Parser Toolkit for Redland that provides
a set of standalone RDF parsers, generating triples from RDF/XML
or N-Triples.

%package devel
Summary: eader files and static libraries from raptor
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires:pkgconfig

%description devel
This package contains the headers that programmers will need to develop
Libraries and includes files for developing programs based on raptor.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog* INSTALL* LICENSE* NEWS* NOTICE README* RELEASE*
%{_bindir}/rapper
%{_bindir}/raptor-config
%{_libdir}/libraptor.so.*
%{_mandir}/man1/rapper.1*
%{_mandir}/man1/raptor-config.1*
%{_mandir}/man3/libraptor.3*

%files devel
%defattr(-,root,root)
%{_includedir}/raptor.h
%{_libdir}/pkgconfig/raptor.pc
%{_libdir}/libraptor.a
%{_libdir}/libraptor.la
%{_libdir}/libraptor.so

%changelog
* Wed Feb 23 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.5-1m)
- import from cooker

* Sun Feb 6 2005 Austin Acton <austin@mandrake.org> 1.4.5-1mdk
- 1.4.5

* Tue Jan 4 2005 Austin Acton <austin@mandrake.org> 1.4.3-1mdk
- 1.4.3

* Wed Dec 29 2004 Austin Acton <austin@mandrake.org> 1.4.2-2mdk
- rebuild

* Mon Nov 29 2004 Austin Acton <austin@mandrake.org> 1.4.2-1mdk
- 1.4.2
- source URL

* Fri Oct 29 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.4.1-1mdk
- 1.4.1

* Mon Oct 26 2004 Austin Acton <austin@mandrake.org> 1.4.0-1mdk
- 1.4.0
- configure 2.5

* Fri Jul 02 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.3.1-2mdk
- Rebuild for new curl

* Tue Jun 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.1-1mdk
- 1.3.1
- do parallel build
- reenable libtoolize

* Wed May 19 2004 Austin Acton <austin@mandrake.org> 1.3.0-1mdk
- 1.3.0

* Mon Feb 2 2004 Austin Acton <austin@mandrake.org> 1.2.0-1mdk
- 1.2.0

* Wed Dec 31 2003 Austin Acton <austin@linux.ca> 1.1.0-1mdk
- 1.1.0
- libtoolize
- remove lib dependency

* Mon Sep 8 2003 Austin Acton <aacton@yorku.ca> 1.0.0-1mdk
- 1.0.0
- major 1

* Mon Aug 25 2003 Austin Acton <aacton@yorku.ca> 0.9.12-1mdk
- 0.9.12

* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 0.9.11-1mdk
- 0.9.11

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 0.9.10-3mdk
- rebuild for rpm

* Wed May 14 2003 Austin Acton <aacton@yorku.ca> 0.9.10-2mdk
- fix library naming

* Wed May 7 2003 Austin Acton <aacton@yorku.ca> 0.9.10-1mdk
- 0.9.10

* Wed Apr 2 2003 Austin Acton <aacton@yorku.ca> 0.9.9-1mdk
- 0.9.9

* Tue Feb 18 2003 Austin Acton <aacton@yorku.ca> 0.9.8-1mdk
- initial package
